/*********************************************************************************
**
**   $Id: configuration.ui.h,v 1.4 2004/07/17 14:24:11 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qsettings.h>
#include "confdefs.h"

extern QSettings Config;

void Configuration::saveValues()
{
   Config.writeEntry(CONFIG_ENTRY_LABOR_RATE, r_laborEdit->text()); 
   Config.writeEntry(CONFIG_ENTRY_SALES_TAX_RATE, r_taxEdit->text()); 
   Config.writeEntry(CONFIG_ENTRY_MAKES, makesEdit->text()); 
   Config.writeEntry(CONFIG_ENTRY_UNITS, unitsEdit->text()); 
   Config.writeEntry(CONFIG_ENTRY_PARTS_CATEGORIES, categoriesEdit->text()); 
   Config.writeEntry(CONFIG_ENTRY_TAX_PARTS, TaxPartsBtn->isChecked() == true ? "Y" : "N"); 
   Config.writeEntry(CONFIG_ENTRY_TAX_LABOR, TaxLaborBtn->isChecked() == true ? "Y" : "N"); 
   Config.writeEntry(CONFIG_ENTRY_TAX_HAZMAT, TaxHazMatBtn->isChecked() == true ? "Y" : "N");
   accept();
}

void Configuration::initialize()
{
   r_laborEdit->setText(Config.readEntry(CONFIG_ENTRY_LABOR_RATE, "70.00"));
   r_taxEdit->setText(Config.readEntry(CONFIG_ENTRY_SALES_TAX_RATE, "0.0825"));
   makesEdit->setText(Config.readEntry(CONFIG_ENTRY_MAKES, "Mercedes,VW,BMW"));
   unitsEdit->setText(Config.readEntry(CONFIG_ENTRY_UNITS, "Ea.,Qt,Gal,Oz,Lb,l,gm,kg"));
   categoriesEdit->setText(Config.readEntry(CONFIG_ENTRY_PARTS_CATEGORIES, "Electrical,Cooling,Engine,Transmission,Suspension,Intrumentation,Misc."));
   TaxPartsBtn->setChecked(Config.readEntry(CONFIG_ENTRY_TAX_PARTS, "Y") == "Y");
   TaxLaborBtn->setChecked(Config.readEntry(CONFIG_ENTRY_TAX_LABOR, "N") == "Y");
   TaxHazMatBtn->setChecked(Config.readEntry(CONFIG_ENTRY_TAX_HAZMAT, "N") == "Y");
}
