/*********************************************************************************
**
**   $Id: vehcedit.ui.h,v 1.4 2004/05/27 11:44:07 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qmessagebox.h>
#include "customerselect.h"

void VehcEdit::setOwner(QString owner)
{
   printf("VehcEdit::setOwner(): Setting owner |%s|\n", (const char *)owner);
   vehcForm1->setOwner(owner);
   vehcTable1->setFilter("owner='" + owner + "'");
   vehcTable1->refresh();
   vehcTable1->selectRow(0);
   if ( vehcTable1->currentRecord() != NULL ) 
   {
      vehcForm1->refresh(vehcTable1->currentRecord());
   }
}

void VehcEdit::initialize()
{
   vehcTable1->refresh();
   vehcTable1->selectRow(0);
}

void VehcEdit::accept()
{
   vehcForm1->updateRecord();
   vehcForm1->commitTransaction();
   done(vehcForm1->getLastIdent().toInt());
}

void VehcEdit::reject()
{
   if ( vehcForm1->isInTransaction())
   {
      if (QMessageBox::warning(this, "Discarding Changes", 
                                "Canceling this will discard <b>ALL</b> of your changes. Are you sure you want to continue?",
                                QMessageBox::Yes, QMessageBox::No) == QMessageBox::Yes)
      {
         vehcForm1->rollbackTransaction();
         done(QDialog::Rejected);
      }
   }
   else 
   {
      done(QDialog::Rejected);
   }
}

void VehcEdit::insertRecord()
{
   vehcForm1->insertRecord();
   vehcForm1->makeSelect->setFocus();
//   updateBtn->setEnabled(true);
//   deleteBtn->setEnabled(true);
}

void VehcEdit::updateRecord()
{
   vehcForm1->updateRecord();
   vehcForm1->makeSelect->setFocus();
}

void VehcEdit::deleteRecord()
{
   vehcForm1->deleteRecord();
   vehcForm1->makeSelect->setFocus();
//   updateBtn->setEnabled(false);
//   deleteBtn->setEnabled(false);
}




void VehcEdit::keyPressEvent( QKeyEvent * e )
{
   printf("VehcEdit::keyPressEvent(): Entry, have key press for %s\n", e->text().isNull() == true ? "NULL" : (const char*)e->text());
   if ( e->key() == Qt::Key_Escape ) 
   {
      e->accept();
      done(QDialog::Rejected);
   }
   printf("VehcEdit::keyPressEvent(): Exit\n");
}


void VehcEdit::transferVehc()
{
   int customer;

   CustomerSelect *cs = new CustomerSelect(this);
   if ( (customer = cs->exec()) > 0 ) 
   {
      QString cust_str;
      cust_str.setNum(customer);
      QString sql = "update vehicles set owner = '" + cust_str + "' where ident = '" + vehcForm1->getLastIdent() + "'";
      printf("VehcEdit::transferVehc(): sql = |%s|\n", (const char*)sql);
      QSqlQuery q;
      q.prepare(sql);
      if ( ! q.exec() ) 
      {
         QMessageBox::warning(NULL, "Error!", "Error transfering vehicle: \n" + q.lastError().driverText() + q.lastError().databaseText(), "Okay");
         return;
      }
      vehcTable1->refresh();
   }
}
